Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 75101 - New ebuild: app-misc/sportstracker
Summary: New ebuild: app-misc/sportstracker
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Lowest enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://www.saring.de/sportstracker
Whiteboard: sunrise suggested
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2004-12-20 14:07 UTC by Sébastien Champigny
Modified: 2009-01-15 17:59 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
New ebuild: app-misc/sportstracker-0.6.2.ebuild (sportstracker-0.6.2.ebuild,1013 bytes, text/plain)
2004-12-20 14:08 UTC, Sébastien Champigny
Details
Update to version 0.6.3 (sportstracker-0.6.3.ebuild,1006 bytes, text/plain)
2005-02-08 09:38 UTC, Sébastien Champigny
Details
Updated ebuild for version 1.0.0 (sportstracker-1.0.0.ebuild,1.07 KB, text/plain)
2005-06-05 07:50 UTC, Gianluca
Details
Patch for version 1.0.0 (patch-1.0.0.diff,2.18 KB, patch)
2005-06-05 07:52 UTC, Gianluca
Details | Diff
sportstracker-1.0.1.ebuild , works here (sportstracker-1.0.1.ebuild,1.06 KB, text/plain)
2005-10-01 14:54 UTC, Sébastien Champigny
Details
sportstracker-1.0.1-r1.ebuild (sportstracker-1.0.1-r1.ebuild,834 bytes, text/plain)
2005-10-02 02:14 UTC, Sébastien Champigny
Details
ebuild for sportstracker 1.2.0 (sportstracker-1.2.0.ebuild,753 bytes, text/plain)
2006-01-17 08:32 UTC, Dieter Verfaillie
Details
app-misc/sportstracker/sportstracker-1.2.1.ebuild (sportstracker-1.2.1.ebuild,667 bytes, text/plain)
2006-04-27 06:47 UTC, Kai Huuhko
Details
app-misc/sportstracker-2.2.0.ebuild (sportstracker-2.2.0.ebuild,823 bytes, text/plain)
2006-08-20 14:25 UTC, Mario Witte
Details
sportstracker-2.4.1.ebuild (sportstracker-2.4.1.ebuild,1.34 KB, text/plain)
2006-12-27 06:07 UTC, Eivind Tagseth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sébastien Champigny 2004-12-20 14:07:35 UTC
From the author's website:
SportsTracker is an application for people which want to record their sporting activities. It is not bound to a specific kind of sport, the user can create categories for all sport types which are endurance related, such as cycling, running or swimming.

Ebuild follows: it should go into app-misc (same as polarviewer: app-sports could be better, app-misc is bloated).
Comment 1 Sébastien Champigny 2004-12-20 14:08:38 UTC
Created attachment 46476 [details]
New ebuild: app-misc/sportstracker-0.6.2.ebuild
Comment 2 Kelly Harnden (uglyman) 2005-01-08 11:49:27 UTC
tried to test this ebuild but it depends on s710 which apparently isn't in portage. so I found it over at http://bugs.gentoo.org/show_bug.cgi?id=75096. I dropped that into my portage overlay. problem is that IT fails. I will post a comment on that bug with the details, but I can't test this ebuild until that other package is fixed.
Comment 3 Sébastien Champigny 2005-02-08 09:38:49 UTC
Created attachment 50748 [details]
Update to version 0.6.3

Bump to the last version of SportsTracker. The program called Polarviewer is
now directly included into it but this simplistic ebuild doesn't compile it.
Don't know why. It should just "make all" in the application directory but only
Sportstracker.exe is built. Could someone please look at these ?
Comment 4 Kristian Niemi 2005-05-31 02:38:19 UTC
Shouldn't PolarViewer be a separate package?

s710 is definately _not a depend_ of Sportstracker. It isn't really even needed
for PolvarViewer, even though it would be a bit more relevant for that package.
Comment 5 Gianluca 2005-06-05 07:50:49 UTC
Created attachment 60654 [details]
Updated ebuild for version 1.0.0

I updated the ebuild to version 1.0.0. It's now working without PolarViewer,
and I believe a separate USE flag should be defined to enable it if one so
wishes. A small patch file is needed.
Comment 6 Gianluca 2005-06-05 07:52:00 UTC
Created attachment 60655 [details, diff]
Patch for version 1.0.0
Comment 7 Sébastien Champigny 2005-10-01 14:54:24 UTC
Created attachment 69660 [details]
sportstracker-1.0.1.ebuild , works here
Comment 8 Ciaran McCreesh 2005-10-01 14:56:49 UTC
Please fix the following and reopen:

* http://dev.gentoo.org/~ciaranm/docs/mw-faq/spacing.txt (src_install)
* Remove the commented out src_unpack
* Don't tinker with the .txt stuff. Use upstream's filenames.
* http://dev.gentoo.org/~ciaranm/docs/mw-faq/einstall.txt
Comment 9 Sébastien Champigny 2005-10-02 02:14:27 UTC
Created attachment 69693 [details]
sportstracker-1.0.1-r1.ebuild

Fixed ebuild, according to your recommendations.
Comment 10 Sébastien Champigny 2005-10-02 02:16:27 UTC
Reopened after fixing ebuild to use ebuild conventions
Comment 11 Dieter Verfaillie 2006-01-17 08:32:35 UTC
Created attachment 77357 [details]
ebuild for sportstracker 1.2.0
Comment 12 Kai Huuhko 2006-04-27 06:47:21 UTC
Created attachment 85607 [details]
app-misc/sportstracker/sportstracker-1.2.1.ebuild

Updated ebuild.
Comment 13 Mario Witte 2006-08-20 14:25:47 UTC
Created attachment 94729 [details]
app-misc/sportstracker-2.2.0.ebuild

Updated ebuild for SportsTracker 2.2.0
Comment 14 Eivind Tagseth 2006-12-27 06:07:19 UTC
Created attachment 104801 [details]
sportstracker-2.4.1.ebuild

Update to the newest version.

I've made some changes:
   * support for LINGUAS
   * put the dll and exe file in /usr/libexec/sportstracker/
   * fixed the sportstracker.desktop file


Eivind
Comment 15 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-15 17:59:22 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq